> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dialect.to/llms.txt
> Use this file to discover all available pages before exploring further.

# Prepare Telegram Channel

> Prepare telegram channel for a subscriber



## OpenAPI

````yaml /openapi/alerts.json post /v2/channel/telegram/prepare
openapi: 3.1.0
info:
  title: Dialect Alerts V2 API
  description: >-
    Notification infrastructure for real-time alert delivery through multiple
    channels including in-app notifications, email, push notifications, and
    Telegram.
  version: 2.2.0-beta
servers:
  - url: https://alerts-api.dial.to
    description: Dialect Production
  - url: https://alerts.dialectapi.to
    description: Dialect Production
security: []
paths:
  /v2/channel/telegram/prepare:
    post:
      tags:
        - Manage Channels
      summary: Prepare Telegram Channel
      description: Prepare telegram channel for a subscriber
      operationId: prepareTelegramChannel
      parameters:
        - name: X-Dialect-Client-Key
          in: header
          required: true
          schema:
            type: string
            description: Client Key used to uniquely identify the client
            example: dk_gyh2eqzfkc4mhp5eiahnndkz
      responses:
        '200':
          description: Telegram channel prepared successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  type:
                    type: string
                    enum:
                      - EMAIL
                      - TELEGRAM
                  value:
                    type: string
                  verified:
                    type: boolean
                  subscribed:
                    type: boolean
                  subscribedApps:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                          description: Application ID
                          example: 255d6163-7e25-43e9-a188-c2f8d0980a4a
                        name:
                          type: string
                          minLength: 1
                          description: Application name
                          example: Dialect
                        icon:
                          type: string
                          format: uri
                          description: Icon URL
                          example: >-
                            https://dialect-file-storage.s3.us-west-2.amazonaws.com/avatars/dialect-logo.png
                      required:
                        - id
                        - name
                  verification:
                    type: object
                    properties:
                      link:
                        type: string
                    required:
                      - link
                required:
                  - id
                  - type
                  - value
                  - verified
                  - subscribed
                  - verification
        '400':
          description: Request validation error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
        '401':
          description: Unauthorized
      security:
        - subscriber: []
components:
  securitySchemes:
    subscriber:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Bearer token authentication for subscriber calls

````